#
# conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
#
Summary:	A Python 2 wrapper for the GPGME library
Summary(pl.UTF-8):	Interfejs Pythona 2 do biblioteki GPGME
Name:		python-pygpgme
Version:	0.3
Release:	14
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/p/pygpgme/pygpgme-%{version}.tar.gz
# Source0-md5:	d38355af73f0352cde3d410b25f34fd0
URL:		https://launchpad.net/products/pygpgme
BuildRequires:	gpgme-devel
%if %{with python2}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and
decrypt messages using the OpenPGP format.

This package contains Python 2 module.

%description -l pl.UTF-8
PyGPGME to moduł Pythona pozwalający podpisywać, weryfikować,
szyfrować i odszyfrowywać wiadomości w formacie OpenPGP.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-pygpgme
Summary:	A Python 3 wrapper for the GPGME library
Summary(pl.UTF-8):	Interfejs Pythona 3 do biblioteki GPGME
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-pygpgme
PyGPGME is a Python module that lets you sign, verify, encrypt and
decrypt messages using the OpenPGP format.

This package contains Python 3 module.

%description -n python3-pygpgme -l pl.UTF-8
PyGPGME to moduł Pythona pozwalający podpisywać, weryfikować,
szyfrować i odszyfrowywać wiadomości w formacie OpenPGP.

Ten pakiet zawiera moduł Pythona 3.

%prep
%setup -q -n pygpgme-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS README
%dir %{py_sitedir}/gpgme
%attr(755,root,root) %{py_sitedir}/gpgme/_gpgme.so
%{py_sitedir}/gpgme/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pygpgme-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-pygpgme
%defattr(644,root,root,755)
%doc NEWS README
%dir %{py3_sitedir}/gpgme
%attr(755,root,root) %{py3_sitedir}/gpgme/_gpgme.cpython-*.so
%{py3_sitedir}/gpgme/*.py
%{py3_sitedir}/gpgme/__pycache__
%{py3_sitedir}/pygpgme-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygpgme.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> dad0cb9
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8299594
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c5a9881
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 41e0e20
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 267c9c3
- release 10 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 48f5bc1
- rebuild with python 3.8
- release 9 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> e90d87b
- use epoch 1 for python3 package

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 65cd52c
- release 8 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 440735c
- python 3.6
- release 7 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 32fe4c8
- use rpm python macros
- rel 6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 672ca66
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4f464ba
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d2166af
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> abc508b
- release 4 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e17c4fe
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 73e35fb
- python 3.4
- release 2 (by relup.sh)

* Sun Apr 13 2014 Jakub Bogusz <qboosh@pld-linux.org> df903a4
- updated to 0.3
- added python3 module

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> fcb91f4
- updated to 0.2
- pl
- fixed License tag

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> df8cdd1
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> b4e5dd7
- release 6

